aboutsummaryrefslogtreecommitdiffstats
path: root/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
diff options
context:
space:
mode:
authorJackie Huang <jackie.huang@windriver.com>2017-04-26 16:22:05 +0800
committerMartin Jansa <Martin.Jansa@gmail.com>2017-04-27 11:14:58 +0200
commitab68fcadbfa51e6cdd5edd950c4252da2d16de53 (patch)
tree7436e1467b64a7538c9de32afbea510d318b6018 /meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
parent8bdaca3f6688d138d7359190824dbff305a3fc9f (diff)
downloadmeta-openembedded-contrib-ab68fcadbfa51e6cdd5edd950c4252da2d16de53.tar.gz
libauthen-radius-perl: add new recipe
The Authen::Radius module provides a simple class that allows you to send/receive Radius requests/responses to/from a Radius server. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Diffstat (limited to 'meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest')
-rw-r--r--meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest21
1 files changed, 21 insertions, 0 deletions
diff --git a/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest b/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
new file mode 100644
index 0000000000..f1c833e6ca
--- /dev/null
+++ b/meta-perl/recipes-perl/libauthen/libauthen-radius-perl/run-ptest
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+
+# prepare testing config
+CONF_USERS=`readlink -f /etc/raddb/users`
+mv ${CONF_USERS} ${CONF_USERS}_orig
+echo "testing Cleartext-Password := \"testpassword\"" > ${CONF_USERS}
+cat ${CONF_USERS}_orig >> ${CONF_USERS}
+
+# restart radiusd server
+systemctl restart radiusd || /etc/init.d/radiusd restart || {
+ echo "FAIL: Start radiusd service."
+ exit 1
+}
+
+# run teests
+perl test.pl
+
+# restore the config and restart
+mv ${CONF_USERS}_orig ${CONF_USERS}
+systemctl restart radiusd || /etc/init.d/radiusd restart